| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Static Private Attributes

# IG::Lib::SerializerJsonBase Class Reference

Helper class for JSON serialization and deserialization. This class does not enable formatting of the generated JSON (no indentation etc.). More...

Inheritance diagram for IG::Lib::SerializerJsonBase:
[legend]
Collaboration diagram for IG::Lib::SerializerJsonBase:
[legend]

List of all members.

## Public Member Functions
| SerializerJsonBase ()
| Creates a JSON serialization class.
override void | Serialize< T > (T serializedObject, Stream serializationStream)
| Serializes the specified object and outputs it to a stream.
override T | Deserialize< T > (Stream deserializationStream)
| Deserializes an object from the specified stream containing JSON representation of the object. Deserialized object is instantiated and returned.
## Properties
static SerializerJsonBase | Global`[get]`
| Gets a global helper object for JSON serialization.
## Static Private Attributes
static SerializerJsonBase | _global = new SerializerJsonBase()

## Detailed Description

Helper class for JSON serialization and deserialization. This class does not enable formatting of the generated JSON (no indentation etc.).

$A Igor jun09;

## Constructor & Destructor Documentation

IG::Lib::SerializerJsonBase::SerializerJsonBase | ( |  | ) | `[inline]`

Creates a JSON serialization class.

## Member Function Documentation

override void IG::Lib::SerializerJsonBase::Serialize< T > | ( | T | serializedObject,
|  | Stream | serializationStream
| ) |  | `[inline]`

Serializes the specified object and outputs it to a stream.

Template Parameters:

  T | Type of the object to be serialized.

Parameters:

  serializedObject | Object to be serialized.
  serializationStream | Stream on which the serialized object is output.

Implements IG::Lib::ISerializer.

Reimplemented in IG::Lib::SerializerJson.

override T IG::Lib::SerializerJsonBase::Deserialize< T > | ( | Stream | deserializationStream | ) | `[inline]`

Deserializes an object from the specified stream containing JSON representation of the object. Deserialized object is instantiated and returned.

Template Parameters:

  T | Type of the deserialized object.

Parameters:

  deserializationStream | Stream from which object is deserialized.

Returns:
  Object that is deserialized from the stream.

Implements IG::Lib::ISerializer.

## Member Data Documentation

SerializerJsonBase IG::Lib::SerializerJsonBase::_global = new SerializerJsonBase()`[static, private]`

Reimplemented in IG::Lib::SerializerJson.

## Property Documentation

SerializerJsonBase IG::Lib::SerializerJsonBase::Global`[static, get]`

Gets a global helper object for JSON serialization.

Reimplemented in IG::Lib::SerializerJson.

The documentation for this class was generated from the following file:

- SerializerJson.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events